from http import HTTPMethod

from ..conftest import HttpApiProxy, LambdaContext


def test_jwks(
    app,
    seeds,
    http_api_proxy: HttpApiProxy,
    lambda_context: LambdaContext,
):
    r = app.lambda_handler(
        http_api_proxy(
            raw_path='/.well-known/jwks.json',
            method=HTTPMethod.GET,
        ),
        lambda_context,
    )
    print(r)
